CheckTreeSelectionModel

gui

## Class CheckTreeSelectionModel

- java.lang.Object
- - javax.swing.tree.DefaultTreeSelectionModel
  - - gui.CheckTreeSelectionModel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, javax.swing.tree.TreeSelectionModel

      public class CheckTreeSelectionModel
      extends javax.swing.tree.DefaultTreeSelectionModel

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javax.swing.tree.TreeModel` | `model`

    - ### Fields inherited from class javax.swing.tree.DefaultTreeSelectionModel

      `changeSupport, leadIndex, leadPath, leadRow, listenerList, listSelectionModel, rowMapper, selection, SELECTION_MODE_PROPERTY, selectionMode`

    - ### Fields inherited from interface javax.swing.tree.TreeSelectionModel

      `CONTIGUOUS_TREE_SELECTION, DISCONTIGUOUS_TREE_SELECTION, SINGLE_TREE_SELECTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckTreeSelectionModel(javax.swing.tree.TreeModel model)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildPaths(javax.swing.tree.TreePath path, javax.swing.tree.TreeModel model, java.util.List result)`
    `void` | `addSelectionPaths(javax.swing.tree.TreePath[] paths)`
    `private boolean` | `areSiblingsSelected(javax.swing.tree.TreePath path)`
    `java.util.ArrayList` | `getAllCheckedPaths(CheckTreeManager manager, javax.swing.JTree tree)`
    `java.util.ArrayList` | `getDescendants(javax.swing.tree.TreePath[] paths, javax.swing.tree.TreeModel model)`
    `private boolean` | `isDescendant(javax.swing.tree.TreePath path1, javax.swing.tree.TreePath path2)`
    `boolean` | `isPartiallySelected(javax.swing.tree.TreePath path)`
    `boolean` | `isPathSelected(javax.swing.tree.TreePath path, boolean dig)`
    `void` | `removeSelectionPaths(javax.swing.tree.TreePath[] paths)`
    `void` | `setSelectionPaths(javax.swing.tree.TreePath[] pPaths)`
    `private void` | `toggleRemoveSelection(javax.swing.tree.TreePath path)`

    - ### Methods inherited from class javax.swing.tree.DefaultTreeSelectionModel

      `addPropertyChangeListener, addSelectionPath, addTreeSelectionListener, arePathsContiguous, canPathsBeAdded, canPathsBeRemoved, clearSelection, clone, fireValueChanged, getLeadSelectionPath, getLeadSelectionRow, getListeners, getMaxSelectionRow, getMinSelectionRow, getPropertyChangeListeners, getRowMapper, getSelectionCount, getSelectionMode, getSelectionPath, getSelectionPaths, getSelectionRows, getTreeSelectionListeners, insureRowContinuity, insureUniqueness, isPathSelected, isRowSelected, isSelectionEmpty, notifyPathChange, removePropertyChangeListener, removeSelectionPath, removeTreeSelectionListener, resetRowSelection, setRowMapper, setSelectionMode, setSelectionPath, toString, updateLeadIndex`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### model

          private javax.swing.tree.TreeModel model

  - ### Constructor Detail

    - #### CheckTreeSelectionModel

          public CheckTreeSelectionModel(javax.swing.tree.TreeModel model)

  - ### Method Detail

    - #### isPartiallySelected

          public boolean isPartiallySelected(javax.swing.tree.TreePath path)

    - #### isPathSelected

          public boolean isPathSelected(javax.swing.tree.TreePath path,
                               boolean dig)

    - #### isDescendant

          private boolean isDescendant(javax.swing.tree.TreePath path1,
                             javax.swing.tree.TreePath path2)

    - #### setSelectionPaths

          public void setSelectionPaths(javax.swing.tree.TreePath[] pPaths)

      Specified by:
        `setSelectionPaths` in interface `javax.swing.tree.TreeSelectionModel`
      Overrides:
        `setSelectionPaths` in class `javax.swing.tree.DefaultTreeSelectionModel`

    - #### addSelectionPaths

          public void addSelectionPaths(javax.swing.tree.TreePath[] paths)

      Specified by:
        `addSelectionPaths` in interface `javax.swing.tree.TreeSelectionModel`
      Overrides:
        `addSelectionPaths` in class `javax.swing.tree.DefaultTreeSelectionModel`

    - #### areSiblingsSelected

          private boolean areSiblingsSelected(javax.swing.tree.TreePath path)

    - #### removeSelectionPaths

          public void removeSelectionPaths(javax.swing.tree.TreePath[] paths)

      Specified by:
        `removeSelectionPaths` in interface `javax.swing.tree.TreeSelectionModel`
      Overrides:
        `removeSelectionPaths` in class `javax.swing.tree.DefaultTreeSelectionModel`

    - #### toggleRemoveSelection

          private void toggleRemoveSelection(javax.swing.tree.TreePath path)

    - #### addChildPaths

          public void addChildPaths(javax.swing.tree.TreePath path,
                           javax.swing.tree.TreeModel model,
                           java.util.List result)

    - #### getDescendants

          public java.util.ArrayList getDescendants(javax.swing.tree.TreePath[] paths,
                                           javax.swing.tree.TreeModel model)

    - #### getAllCheckedPaths

          public java.util.ArrayList getAllCheckedPaths(CheckTreeManager manager,
                                               javax.swing.JTree tree)